Class | Tk::BWidget::SelectFont::Dialog
In: | tk/lib/tkextlib/bwidget/selectfont.rb
Parent: | Tk::BWidget::SelectFont

### Methods

__font_optkeys configure create create_self

### Public Instance methods

__font_optkeys()

[Source]

    # File tk/lib/tkextlib/bwidget/selectfont.rb, line 48
      def __font_optkeys
        [] # without fontobj operation
      end

configure(slot, value=None)

[Source]

    # File tk/lib/tkextlib/bwidget/selectfont.rb, line 57
      def configure(slot, value=None)
        if slot.kind_of?(Hash)
          slot.delete['type']
          slot.delete[:type]
          return self if slot.empty?
        else
          return self if slot == 'type' || slot == :type
        end
        super(slot, value)
      end

create()

[Source]

    # File tk/lib/tkextlib/bwidget/selectfont.rb, line 68
      def create
        @keys['type'] = 'dialog'
        tk_call(Tk::BWidget::SelectFont::TkCommandNames[0], @path, *hash_kv(@keys))
      end

create_self(keys)

[Source]

    # File tk/lib/tkextlib/bwidget/selectfont.rb, line 52
      def create_self(keys)
        super(keys)
        @keys['type'] = 'dialog'
      end

[Validate]